%global pypi_name onnxconverter-common

# version 1.14.x needs protobuf 3.20.2 which Fedora doesn't have yet
Name:          python-%{pypi_name}
Version:       1.13.0
Release:       %autorelease
Summary:       Common utilities for ONNX converters
License:       MIT
URL:           https://github.com/microsoft/onnxconverter-common/
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

# Same as arches for onnx
ExclusiveArch: aarch64 x86_64 ppc64le
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
The onnxconverter-common package provides common functions and
utilities for use in converters from various AI frameworks to
ONNX. It also enables the different converters to work together
to convert a model from mixed frameworks, like a scikit-learn
pipeline embedding a xgboost model.}


%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files onnxconverter_common

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
